Name:           ladspa-autotalent-plugins
Version:        0.2
Release:        alt1_7
Summary:        A pitch correction LADSPA plugin

Group:          Sound
# The files mayer_fft.h and mayer_hht.c are from Pure Data, which is under a
# standard improved BSD license.  autotalent.c is under GPLv2+.
License:        GPLv2+ and BSD and CC-BY-ND
URL:            http://web.mit.edu/tbaran/www/autotalent.html
Source0:        http://web.mit.edu/tbaran/www/autotalent-%{version}.tar.gz
# Useful documentation is not included in the upstream source distribution.
Source1:        http://web.mit.edu/tbaran/www/autotalent-%{version}_refcard.pdf

BuildRequires:  ladspa_sdk
Requires:       ladspa_sdk
Source44: import.info

%description
Autotalent is a real-time pitch correction plugin. You specify the notes that
a singer is allowed to hit, and Autotalent makes sure that they do. You can
also use Autotalent for more exotic effects, making your voice sound like a
chiptune, adding artificial vibrato, or messing with your formants.
Autotalent can also be used as a harmonizer that knows how to sing in the
scale with you. Or, you can use Autotalent to change the scale of a melody
between major and minor or to change the musical mode. 

%prep
%setup -q -n autotalent-%{version}
cp %{SOURCE1} .

# Use the correct Fedora optimization flags
sed -i 's|-O3|%{optflags}|' Makefile

# Use the system ladspa.h
rm ladspa.h
sed -i 's|"ladspa.h"|<ladspa.h>|' autotalent.c
sed -i 's|ladspa.h||' Makefile


%build
make %{?_smp_mflags}


%install
make install INSTALL_PLUGINS_DIR="%{buildroot}%{_libdir}/ladspa"


%files
%doc README
%doc COPYING
%doc COPYING-mayer_fft
%doc autotalent-0.2_refcard.pdf
%{_libdir}/ladspa/*



%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_7
- initial fc import

